StyleableStringProperty (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class StyleableStringProperty

- java.lang.Object
- - javafx.beans.binding.StringExpression
  - - javafx.beans.property.ReadOnlyStringProperty
    - - javafx.beans.property.StringProperty
      - - javafx.beans.property.StringPropertyBase
        - - javafx.css.StyleableStringProperty

- All Implemented Interfaces:
    `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`, `StyleableProperty<String>`
  Direct Known Subclasses:
    `SimpleStyleableStringProperty`

      public abstract class StyleableStringProperty
      extends StringPropertyBase
      implements StyleableProperty<String>

  This class extends `StringPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `StringProperty`, that would otherwise be implemented as a `StringPropertyBase`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `StringPropertyBase`, `CssMetaData`, `StyleableProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleableStringProperty()` | The constructor of the `StyleableStringProperty`.
    `StyleableStringProperty​(String initialValue)` | The constructor of the `StyleableStringProperty`.

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.StringPropertyBase

      `fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.StringProperty

      `bindBidirectional, bindBidirectional, unbindBidirectional`

    - ### Methods declared in class javafx.beans.binding.StringExpression

      `concat, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.css.StyleableProperty

      `applyStyle, getCssMetaData, getStyleOrigin`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### StyleableStringProperty

          public StyleableStringProperty()

      The constructor of the `StyleableStringProperty`.

    - #### StyleableStringProperty

          public StyleableStringProperty​(String initialValue)

      The constructor of the `StyleableStringProperty`.
      Parameters:
        `initialValue` - the initial value of the wrapped `Object`